scala.util.parsing.combinator1.Parsers
class Success

[source: `scala/util/parsing/combinator1/Parsers.scala`]

`case` `class` Success[+T](`val` result : T, `val override` next : Reader)
  `extends` ParseResult[T]`with` Product

  The success case of ParseResult: contains the result and the remaining input.

Parameters
  `result -` The parser's output
  `next -` The parser's remaining input

Value Summary
`val` | successful : Boolean

Method Summary
`override def` | equals (arg0 : Any) : Boolean
`def` | get : T Returns the embedded result
`override def` | hashCode : Int
`def` | map [U](f : (T) => U) : Success[U] Functional composition of ParseResults
`def` | mapPartial [U](f : PartialFunction[T, U], error : (T) => java.lang.String) : ParseResult[U] Partial functional composition of ParseResults
`override final def` | productArity : Int return k for a product `A(x_1,...,x_k))`
`override final def` | productElement (arg0 : Int) : Any for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`
`override final def` | productPrefix : java.lang.String By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.
`override def` | toString : java.lang.String The toString method of a Success

Methods inherited from Product
element, arity

Methods inherited from ParseResult
isEmpty, getOrElse

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`` `val` successful : Boolean

Overrides
  ParseResult.successful

Method Details

`` `def` map[U](f : (T) => U) : Success[U]

  Functional composition of ParseResults

Parameters
  ``f' -` the function to be lifted over this result
Returns
  `f' applied to the result of this `ParseResult', packaged up as a new `ParseResult'

Overrides
  ParseResult.map

`` `def` mapPartial[U](f : PartialFunction[T, U], error : (T) => java.lang.String) : ParseResult[U]

  Partial functional composition of ParseResults

Parameters
  ``f' -` the partial function to be lifted over this result
  `error -` a function that takes the same argument as `f' and produces an error message to explain why `f' wasn't applicable (it is called when this is the case)
Returns
  if `f' f is defined at the result in this `ParseResult', `f' applied to the result of this `ParseResult', packaged up as a new `ParseResult'. If `f' is not defined, `Failure'.

Overrides
  ParseResult.mapPartial

`` `def` get : T

  Returns the embedded result

Overrides
  ParseResult.get

`override` `def` toString : java.lang.String

  The toString method of a Success

`override` `def` hashCode : Int

`override` `def` equals(arg0 : Any) : Boolean

`override final` `def` productPrefix : java.lang.String

  By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.

Overrides
  Product.productPrefix

`override final` `def` productArity : Int

  return k for a product `A(x_1,...,x_k))`

Overrides
  Product.productArity

`override final` `def` productElement(arg0 : Int) : Any

  for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`

Parameters
  `n -` the position of the n-th element
Throws
  `IndexOutOfBoundsException -`
Returns
  ...

Overrides
  Product.productElement